package clientswing.model;

import java.util.*;
/**classe che contiene i dati inseriti dall'utente quando usufruisce idi un servizio*/
public class XRequestQuery implements XRequest {
  /**contiene di quale servizio si tratta*/
  private String service;
  /**contiene il nome della tabella*/
  private String tableName;
    /**contiene la un oggetto colonna*/
  private Column column;
    /**contiene una collezione di colonne*/
  private Collection columns = new ArrayList();
      /**contiene una collezione di campi per la clausola where*/
  private Collection where = new ArrayList();
  /**costruttore della classe XRequestQuery()*/
  public XRequestQuery() {

   }
  public void setTableName(String tableName){
    this.tableName=tableName;
  }
  public void setService(String service){
      this.service=service;
   }
   public String getTableName(){
    return tableName;
  }
  public String getService(){
      return service;
  }
/**aggiunge un oggetto Column inteso come colonna della tabella*/
  public boolean addColumn(Column c){
    return columns.add(c);
  }
  /**aggiunge un oggetto Column inteso come campi per la clusola where*/
  public boolean addColumnWhere(Column c){
      return where.add(c);
    }
/**rimuove un oggetto Column inteso come colonna della tabella*/
  public boolean removeColumn(Column c){
    return columns.remove(c);
  }

  public Collection getColumns(){
    return columns;
  }

  public Collection getWhere(){
   return where;
 }

}
