package clientswing.UI;

import javax.swing.*;
import java.awt.*;

import clientswing.model.*;

/**
* ResponseForm e' un frame specializzazione di BaseForm che visualizza la risposta del server.
*/
public class ResponseForm extends BaseForm {
  //tabella che contiene la risposta
  JTable tabella = new JTable ();
 /**Costruttore della classe ResponseForm
  * @param XResponseRowSet rowSet
  * */
  public ResponseForm(XResponseRowSet rowSet) {

    tabella.setBounds(new Rectangle(30, 30, 200, 200));
    tabella.setForeground(Color.white);
    tabella.setBorder(BorderFactory.createEtchedBorder());
    tabella.setAutoResizeMode(JTable.AUTO_RESIZE_ALL_COLUMNS);
    tabella.setCellSelectionEnabled(true);
    tabella.setColumnSelectionAllowed(false);
    tabella.setGridColor(Color.gray);
    tabella.setRowSelectionAllowed(false);
    tabella.setBackground(Color.lightGray);
    tabella.setFont(new java.awt.Font("Dialog", 1, 14));
    //viene creato una TableResponseModel che contiene gli oggetti necessari alla
    //visualizzazione della risposta del server
    tabella.setModel(new TableResponseModel(rowSet));

     this.getContentPane().setLayout(null);
     this.getContentPane().add(tabella);
     this.setSize(300,300);

  }
}
