package clientswing.UI;

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import clientswing.model.*;

/**
* <i>Select</i> e' un pannello specializzazione di RequestPanel che consente all'utente di
* effettuare una selezione su di una tabella.
*/

public class SelectPanel
    extends JPanel
    implements RequestPanel {
  // indicano il numero di colonne
  JLabel columnNum = new JLabel();
  JTextField columnNumSet = new JTextField();

  // indicano il nome della tabella
  JLabel tableName = new JLabel();
  JTextField tableList = new JTextField();
//bottone di ok per inviare il numero di colonne su cui si vuole fare la selezione
  //al OptionPanel
  JButton ok = new JButton();

  // indica la possibil di inserire una clausola WHERE nella query
  JLabel whereClause = new JLabel();
  JTextField whereClauseText = new JTextField();

  /**textfield per inserire il numero di campi da inserire*/
    JTextField columnNumSetWhere = new JTextField();


  /**bottone ok per l'inserimento dei campi della where*/
  JButton okWhere = new JButton();

  /**optionPanel  il pannello opzionale che si apre quando si clicca su ok del num di colonne*/
  OptionPanel optionPanel;
  /**optionPanel  il pannello opzionale che si apre quando si clicca su ok del where*/
  OptionPanelInsertUpdate optionPanelWhere;



  String service;
  /**costruttore delle classe SelectPanel*/
  public SelectPanel() {
    columnNum.setText("Inserisci il numero di colonne");
    columnNum.setBounds(new Rectangle(10, 30, 180, 20));
    columnNum.setForeground(Color.black);

    columnNumSet.setBounds(new Rectangle(200, 30, 20, 20));

    tableName.setText("Inserisci la Tabella");
    tableName.setBounds(new Rectangle(10, 60, 130, 20));
    tableName.setForeground(Color.black);

    tableList.setBounds(new Rectangle(200, 60, 75, 20));


    whereClause.setText("Inserisci i campi della where:");
    whereClause.setBounds(new Rectangle(10, 90, 180, 20));
    whereClause.setForeground(Color.black);
    columnNumSetWhere.setBounds(new Rectangle(200, 90, 20, 20));
    okWhere.setBounds(new Rectangle(230, 90, 45, 20));
    okWhere.setText("ok");
    okWhere.setFont(new java.awt.Font("Dialog", 0, 11));


    ok.setBounds(new Rectangle(230, 30, 45, 20));
    ok.setText("ok");
    ok.setFont(new java.awt.Font("Dialog", 0, 11));

    service="select";
    //catturo l'evento
    ok.addMouseListener(new SelectPanel_jButton1_mouseAdapter(this));
    //catturo l'evento
    okWhere.addMouseListener(new SelectPanel_okWhere_mouseAdapter(this));

    //aggiungo i componenti SWING al frame di Login
    this.add(columnNum, null);
    this.add(columnNumSet, null);
    this.add(tableName, null);
    this.add(tableList, null);
    this.add(whereClause, null);
    this.add(whereClauseText, null);

    this.add(whereClause, null);
    this.add(columnNumSetWhere, null);
    this.add(okWhere, null);
    this.add(ok, null);
    init(this);
  }

  public String getTableList(JTextField tableList) {
    return tableList.getText();

  }

  public void init(JPanel pannello) {
    pannello.setBounds(new Rectangle(30, 20, 280, 150));
    pannello.setLayout(null);
    pannello.setBackground(Color.lightGray);

  }

  public XRequestQuery getXRequest(String service) {

    XRequestQuery request = new XRequestQuery();

    request.setService(service);
    request.setTableName(tableList.getText());

    if (optionPanelWhere != null){
      Column[] columnsWhere = optionPanelWhere.getColumns();
      for (int i = 0; i < columnsWhere.length; i++) {
        request.addColumnWhere(columnsWhere[i]);
        System.out.println("\n" + columnsWhere[i] + "\n");
      }
    }



    if (optionPanel == null)return request;

    Column[] columns = optionPanel.getColumns();
    for (int i = 0; i < columns.length; i++)
      request.addColumn(columns[i]);

    return request;
  }

  void jButton1_mouseClicked(MouseEvent e) {

    optionPanel = new OptionPanel(columnNumSet);
    if (optionPanel.getIsError()==false)
      optionPanel.show();
  }

  /**
   * getService
   *
   * @return String
   */
  public String getService() {
    return service;
  }
  void okWhere_mouseClicked(MouseEvent e) {

    optionPanelWhere = new OptionPanelInsertUpdate(columnNumSetWhere);
    if (optionPanelWhere.getIsError() == false)
      optionPanelWhere.show();
  }

}

class SelectPanel_jButton1_mouseAdapter
    extends java.awt.event.MouseAdapter {
  SelectPanel adaptee;

  SelectPanel_jButton1_mouseAdapter(SelectPanel adaptee) {
    this.adaptee = adaptee;
  }

  public void mouseClicked(MouseEvent e) {
    adaptee.jButton1_mouseClicked(e);
  }
}
class SelectPanel_okWhere_mouseAdapter
    extends java.awt.event.MouseAdapter {
  SelectPanel adaptee;

  SelectPanel_okWhere_mouseAdapter(SelectPanel adaptee) {
    this.adaptee = adaptee;
  }

  public void mouseClicked(MouseEvent e) {
    adaptee.okWhere_mouseClicked(e);
  }
}
