package clientswing.UI;
import java.awt.*;
import javax.swing.*;
import javax.swing.table.*;
import clientswing.model.*;
/**classe che simula il comportamento del WEBSERVER*/
public class TableResponseModel extends AbstractTableModel{
  XResponseRowSet rowSet;
  public TableResponseModel(  XResponseRowSet rowSet) {
    this.rowSet=rowSet;
  }

  /**
   * getColumnCount
   *
   * @return int
   */
  public int getRowCount() {
    return rowSet.getRowsSize() +1;
  }


  /**
   * getValueAt
   *
   * @param rowIndex int
   * @param columnIndex int
   * @return Object
   */
  public Object getValueAt(int rowIndex, int columnIndex) {

    Row row;
    Column column;

    if (rowIndex == 0){
      row = (Row)rowSet.getRows().get(0);
      column = (Column)row.getColumns().get(columnIndex);
      //System.out.println("column.getName()"+column.getName()+"\n");

      if (column!=null)
       return column.getName();
     else
       return "";
    }

     row = (Row)rowSet.getRows().get(rowIndex - 1);
      column = (Column)row.getColumns().get(columnIndex);
      System.out.println("column.getValue()"+column.getValue()+"\n");
      return column.getValue() ;

  }

  /**
   * getColumnCount
   *
   * @return int
   */
  public int getColumnCount() {
    return ((Row)rowSet.getRows().get(0)).getColumns().size();
  }
}
