package clientswing.model;

/**classe che contiene i valori di quelle che possono essere o le colonne
* della tabella su cui si vuole eseguire la query oppure i campi della clausola
* where.*/
public class Column {
  /** contiene il nome della colonna o del campo*/
  private String name;
  /**contiene il valore della colonna o del campo*/
  private String value = null;
/**costruttore della classe Column
   * @param String name
   * */
  public Column(String name){
    this.name = name;
  }
  /**costruttore della classe Column
     * @param String name
     * @param String value
     * */

  public Column(String name, String value) {
    this.name=name;
    this.value=value;
  }

  public String getName(){
    return name;
  }

  public void setName(String name){
    this.name=name;
  }

  public void setValue(String value){
    this.value=value;
 }

 public String getValue(){
   return value;
 }

  public String toString() { return name + " " + value; }
}
